Select data related to identifiers in the response data. When a related query parameter is selected, a new json field
will be populated in the response with a map of the relevant related data.
** Example **
GET https://api.bridgeft.com/v2/{selectedResource}?related=accounts
Response:
{
"object": "object"
"has_next": true,
"has_previous": false,
"current_page": 1,
"total_pages": 10,
"page_size_limit": 100,
"has_next": true,
"data": [
{
id: 1,
account_id": "SOMEACCOUNTID1",
...
},
{
id: 1,
account_id": "SOMEACCOUNTID2",
...
}
]
"accounts": {
"SOMEACCOUNTID1": {
id: "SOMEACCOUNTID1",
...
},
"SOMEACCOUNTID2": {
id: "SOMEACCOUNTID2",
...
}
}
}
Populating the related query parameter will pull additional information in the request for supported related data without reaching out to an additional endpoint.
See dropdown for the supported related fields for the resource.